# bic_bot

Breaking Italy Club bot

## Instructions
* Get a Telegram bot API token ([@botfather](https://t.me/botfather)), allow groups and set the bot [group privacy](https://core.telegram.org/bots#privacy-mode) to off.
* Install bic_bot
    ```bash
    git clone https://gogs.davte.it/Davte/bic_bot.git
    cd bic_bot
    bash ./run_me.sh
    ```
* Add the bot to the BIC chat as administrator
* Write `/set_chat` in the chat
* Send a csv file to the bot named "patrons.csv" with patreons emails
    ```csv
    person@example.com,
    someone@gmail.com,
    [...]
    ```
* [NOT YET IMPLEMENTED] Using Patreon's API, the patrons list will be automatically downloaded from the server
* [NOT YET IMPLEMENTED] Users will be able to link their email to their Telegram account automatically. A confirmation email will help to verify the association
  
## Functioning
* Whenever a person joins the chat, the bot will check whether their Telegram account is linked to an email listed in the patrons list. If not, the user will be kicked out.
* Whenever an email is removed from the white list, the linked Telegram account will be kicked out.
* [NOT YET IMPLEMENTED] Any user can automatically link their email to their Telegram account. If their email is white-listed, they can join the chat. 

## Credits
This [davtelepot-based](https://gogs.davte.it/davte/davtelepot) bot has been developed by [@Davte](https://www.davte.it).
No official endorsement has been given by Breaking Italy. 