elevation_messages = {
    'chat_not_set': {
        'en': "This chat cannot be set as BIC chat! ❌",
        'it': "Questa chat non può essere impostata come chat del BIC ❌",
    },
    'chat_set': {
        'en': "BIC chat ID set ✅\n🏷 Chat ID: {chat_id}",
        'it': "ID della chat del BIC salvato ✅\n🏷 ID chat: {chat_id}",
    },
    'denied': {
        'en': "You have no right elevate yourself to Founder! 🚫",
        'it': "Non hai diritto a ottenere i privilegi di Fondatore! 🚫",
    },
    'granted': {
        'en': "You have been elevated to Founder! 👑",
        'it': "Ora sei Fondatore! 👑",
    },
}

language_messages = {
    'language_command': {
        'name': {
            'en': "/language",
            'it': "/lingua"
        },
        'reply_keyboard_button': {
            'en': "Language 🗣",
            'it': "Lingua 🗣"
        },
        'alias': {
            'en': "Language 🗣",
            'it': "Lingua 🗣"
        },
        'description': {
            'en': "Change language settings",
            'it': "Cambia le impostazioni della lingua"
        }
    },
    'language_button': {
        'description': {
            'en': "Change language settings",
            'it': "Cambia le impostazioni della lingua"
        },
        'language_set': {
            'en': "Selected language: English 🇬🇧",
            'it': "Lingua selezionata: Italiano 🇮🇹"
        }
    },
    'language_panel': {
        'text': {
            'en': "<b>Choose a language</b>",
            'it': "<b>Seleziona una lingua</b>"
        }
    }
}

patreon_messages = {
    'join_chat': {
        'en': "Thank you for your Patreon subscription! You may enter ",
        'it': "",
    },
    'list_updated': {
        'en': "Patrons white list updated ✅",
        'it': "Lista dei patron aggiornata ✅",
    },
}

supported_languages = {
    'en': {
        'flag': '🇬🇧',
        'name': 'English'
    },
    'it': {
        'flag': '🇮🇹',
        'name': 'Italiano'
    }
}
